Bug 268766 - NullPointerException at org.netbeans.modules.cnd.discovery.buildsupport.ToolsWrapperUtility.fixScript
NullPointerException at org.netbeans.modules.cnd.discovery.buildsupport.Tools...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project Discovery
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on: 268771
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-01 12:31 UTC by mcambra
Modified: 2016-12-13 12:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.49 KB, text/plain)
2016-11-01 12:31 UTC, mcambra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mcambra 2016-11-01 12:31:44 UTC
Build: NetBeans IDE 8.2 (Build 201609300101)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.112-b15, Java(TM) SE Runtime Environment, 1.8.0_112-b15
OS: Windows 10

User Comments:
mcambra: Just creating a proyect from existing code, and connecting to a Debian system (Aria G25 from Acmesystems.it)




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.discovery.buildsupport.ToolsWrapperUtility.fixScript(ToolsWrapperUtility.java:197)
   at org.netbeans.modules.cnd.discovery.buildsupport.ToolsWrapperUtility.getToolsWrapper(ToolsWrapperUtility.java:121)
   at org.netbeans.modules.cnd.discovery.api.BuildTraceSupport$BuildTrace.getToolsWrapper(BuildTraceSupport.java:202)
   at org.netbeans.modules.cnd.discovery.api.BuildTraceSupport$BuildTrace.modifyEnv(BuildTraceSupport.java:131)
   at org.netbeans.modules.cnd.discovery.projectimport.ExecuteCommand.prepare(ExecuteCommand.java:157)
   at org.netbeans.modules.cnd.discovery.projectimport.ExecuteCommand.performAction(ExecuteCommand.java:110)
Comment 1 mcambra 2016-11-01 12:31:46 UTC
Created attachment 162712 [details]
stacktrace
Comment 2 Alexander Simon 2016-11-01 13:08:45 UTC
Vladimir, please look at the first exception in the message log.
It seems remote file system does not work on Debian.
Comment 3 Alexander Simon 2016-11-01 15:32:40 UTC
fixed coping tool collection wrapper to remote host
in enum, branch release82, change set 5e87ea9e5c55
Comment 4 Alexander Simon 2016-11-01 17:57:47 UTC
fixed error scanner in enum, branch release82, change set a96955bc1ff5
Comment 5 Alexander Simon 2016-11-02 10:45:46 UTC
fixed NPE in exec log reader in enum, branch release82, change set 9b53a786a809
Comment 6 Quality Engineering 2016-11-10 03:22:47 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/73822d1881f2
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #268766 NullPointerException at org.netbeans.modules.cnd.discovery.buildsupport.ToolsWrapperUtility.fixScript
(transplanted from 5e87ea9e5c55a65f364e0007e544d9f855132445)
Comment 7 soldatov 2016-12-13 12:08:34 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo